<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
  
// database connection will be here
// include database and object files
include_once '../config/database.php';
include_once '../admin/priceList.php';
  
// instantiate database and product object
$database = new Database();
$db = $database->getConnection();
  
// initialize object
$priceList = new PriceList($db);

$request_method=$_SERVER["REQUEST_METHOD"];

// get posted data
$data = json_decode(file_get_contents("php://input"));

switch($request_method)
{
    case 'POST':
        
        $result = $priceList->viewDefaultList();
        
        if (empty($result)){
            http_response_code(404);
            echo json_encode(array("message" => "Error occured"));
        }else{
            http_response_code(200);
            echo json_encode($result);
        }
        
        break;
        
    case 'PATCH':
        // make sure data is not empty
        if(!empty($data)){
            $priceList->intermediatePrice = $data->intermediatePrice;
            $priceList->advancePrice = $data->advancePrice;
            $priceList->masterPrice = $data->masterPrice;
            $priceList->username = $data->username;
            
            $result = $priceList->updateDefaultList();
            
            if ($result){
                http_response_code(200);
                echo json_encode(array("message" => "Sucessfully updated course default price list"));
            }else{
                http_response_code(404);
                echo json_encode(array("message" => "Updating course default price list failed"));
            }
            
           
        }else{
            // set response code - 400 bad request
            http_response_code(400);
            // tell the user
            echo json_encode(array("message" => "Input data is missing"));
        }
        break;
        
        default:
            // set response code - 405 bad request
            http_response_code(405);
            // tell the user
            echo json_encode(array("message" => "Invalid Method"));
            break;
}